Name:		cowpatty
Version:	4.8
Release:	%mkrel 5
Summary:	WPA password cracker

Group:		Networking/Other
License:	GPLv2
URL:		https://github.com/joswr1ght/cowpatty
Source0:	https://github.com/joswr1ght/cowpatty/releases/download/%{version}/%{name}-%{version}.tgz
# from master commit 0a274975040960d85cd68550facf801fc3a9d7df
Patch0:		cowpatty-4.8-upstream-fixes.patch
# https://github.com/joswr1ght/cowpatty/pull/8
Patch1:		cowpatty-4.8-more-Makefile-improvements.patch
Patch2:		cowpatty-fix-build-with-gcc15.patch

BuildRequires:	libpcap-devel
BuildRequires:	pkgconfig(openssl)

%description
Cowpatty is designed to audit the pre-shared key (PSK) selection for WPA
networks based on the TKIP protocol. It can perform both dictionary and
computed rainbow table attacks.


%prep
%setup -q
%autopatch -p1

sed '/clang/d' -i Makefile

%build
%set_build_flags
%make_build

%install
%make_install BINDIR=%{_bindir} MANDIR=%{_mandir}/man1

%files
%doc AUTHORS COPYING README FAQ TODO CHANGELOG
%{_bindir}/%{name}
%{_bindir}/genpmk
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/genpmk.1.*


%changelog
* Tue May 13 2025 ns80 <ns80> 4.8-5.mga10
+ Revision: 2182954
- try to fix building with GCC 15

* Tue Mar 29 2022 umeabot <umeabot> 4.8-4.mga9
+ Revision: 1831239
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 4.8-3.mga9
+ Revision: 1747523
- rebuild for openssl 3.0.0

* Fri Feb 14 2020 umeabot <umeabot> 4.8-2.mga8
+ Revision: 1521952
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Fri Jan 04 2019 daviddavid <daviddavid> 4.8-1.mga7
+ Revision: 1349129
- new version: 4.8
- new URL and Source URL

* Sun Sep 23 2018 umeabot <umeabot> 4.6-7.mga7
+ Revision: 1296843
- Mageia 7 Mass Rebuild

* Sat Sep 09 2017 cjw <cjw> 4.6-6.mga7
+ Revision: 1152163
- rebuild for openssl 1.1
- add optflags to CFLAGS to fix debug packages

* Mon Feb 08 2016 umeabot <umeabot> 4.6-5.mga6
+ Revision: 947195
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.6-4.mga5
+ Revision: 746682
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.6-3.mga5
+ Revision: 678560
- Mageia 5 Mass Rebuild

* Thu Aug 14 2014 pterjan <pterjan> 4.6-2.mga5
+ Revision: 662415
- Fix parallel build
+ juancho <juancho>
- Added missing CFLAGS to make macro.
- imported package cowpatty


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat May 29 2010 Arun SAG <sagarun [AT] gmail dot com> - 4.6-3
- Fixing koji build failure.
- License fixed.

* Sun Apr 11 2010 Arun SAG <sagarun [AT] gmail dot com> - 4.6-2
- Source url adjusted with macros.
- INSTALL file removed from package.
- Minor cosmetic fixes.

* Sat Apr 10 2010 Arun SAG <sagarun [AT] gmail dot com> -  4.6-1
- Initial build.
